View Issue Details

IDCategoryLast Update
0008663bugs2021-04-30 10:20
ReporterCTSAssigned To 
Reproducibilityalways 
Status newResolutionopen 
PlatformAppleOSMacOSOS Version10.15.7
Product Version6.6 
Fixed in Version 
Summary0008663: Audio input crackle after changing buffer size
DescriptionWhen monitoring track audio inputs, if I stop the audio engine and change the buffer size, when I turn it back on there is severe audio crackle. Interestingly, it goes away if I add a new track or delete an unused one.
Steps To Reproduce1. Start audio engine with some buffer size, e.g. 512
2. Create audio track connected to mic input
3. Click "IN" on the track mixer to begin monitoring input and verify that audio sounds fine
4. Open Audio/MIDI setup and stop the audio engine
6. Select any new buffer size, e.g. 1024, and restart audio engine
7. Notice that the audio input monitor is now super crackly/distorted - but no Xruns are indicated near the CPU meter
8. While the audio remains distorted, click to add a new audio track in the mixer.
9. As soon as track 2 is added, the input monitoring on track 1 suddenly becomes clean once again.

Furthermore:
10. Now that you have a buffer size of 1024 and the audio coming thru track 1 is clean, repeat step 6 but change the buffer size back to 512
11. Notice that the audio input monitor is again now super crackly/distorted - but still no Xruns are indicated near the CPU meter
12. The crackly audio input is coming thru on track 1, track 2 has nothing coming thru - so right click on track 2 and delete it from the session.
13. Suddenly, track 1 input monitoring is clean again!
TagsNo tags attached.

Activities

x42

2021-04-16 19:17

administrator   ~0025711

Which soundcard are you using?

I just tried on two MacBookPro (one running 10.10.5 the other 11.1) with the onboard soundcard "Built in Microphone", "Built in Output" and cannot reproduce this.

x42

2021-04-16 19:18

administrator   ~0025712

I assume you use coreaudio backend (not JACK). Is there a reason why you stop/start the engine? buffersize changes don't require it.

CTS

2021-04-17 21:53

reporter   ~0025717

Hey, after reading your comments I did some more testing and I found that this actually has nothing to do with the buffer size and is more related to starting/stopping the audio engine.

It happens when I am using the CoreAudio backend and both with the onboard soundcard or external USB interface (RME Babyface Pro FS).

Here are the revised steps to reproduce:

1. Start audio engine - CoreAudio. Input Device: Macbook Pro Microphone, Output Device: External Headphones
2. Create audio track connected to mic input 1. Note that the track input selector displays a "1".
3. Click "IN" on the track mixer to begin monitoring input and verify that audio sounds fine
4. Open Audio/MIDI setup and stop the audio engine
5. Restart the audio engine
6. Notice that the audio input monitor is now super crackly/distorted - but no Xruns are indicated near the CPU meter

Also, the Ardour Log displays:
2021-04-17T14:24:39 [INFO]: CoreAudioBackend: adjusted output channel count to match device.
2021-04-17T14:24:39 [INFO]: CoreAudioBackend: adjusted input channel count to match device.

And the track input channel selector that previously displayed a "1", now says "system". The master channel out also displays "system".

7. Click on the track input channel selector and reselect channel 1. Alternatively, on the master channel output selector reselect Out 1 + 2.
8. Audio stream now returns to normal.

So I guess this is probably something to do with rewiring all the audio channels when restarting the audio engine?

I noticed that I can save a session and reload it with all my routing remaining intact, but simply restarting the audio engine without changing any settings - all the track input channels, and the master out reset to "system". Is that intended behavior since a user could conceivably switch out the audio interface and all the routing becomes void? I can hear that the routing does appear to remain intact since I do hear audio passing through, even if it is super distorted until I "reset" one of the input or output channels to their original value.

AliMacD

2021-04-20 09:59

reporter   ~0025722

I get a similar problem (crackle) jumping between audio drivers. Usually when I change the Device to/from Zoom Audio Device (which I use in online classes). My other driver is usually Focusrite Thunderbolt, though also Focusrite USB and Built In (I'm on a Mac). I don't recall having the issue jumping between them. Usually I need to change driver, save/quit/restart Ardour and that solves it. I assumed it was a Zoom driver issue, but if Ardour can fix it I will be very happy!

AliMacD

2021-04-30 10:20

reporter   ~0025783

Just to add that adding a new audio track solves the crackle for me too.
(shared Ardour over Zoom by switching to Zoom audio device. Stopped audio engine, reset to Focusrite, result: crackling playback. Start/Stop audio engine or change buffer size has no effect. Add a new audio track: playback clean again)

Issue History

Date Modified Username Field Change
2021-04-15 07:20 CTS New Issue
2021-04-16 19:17 x42 Note Added: 0025711
2021-04-16 19:18 x42 Note Added: 0025712
2021-04-17 21:53 CTS Note Added: 0025717
2021-04-20 09:59 AliMacD Note Added: 0025722
2021-04-30 10:20 AliMacD Note Added: 0025783